Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

crypto/x509: macOS flakes due to "certificate is not standards compliant" #52854

Open
neild opened this issue May 11, 2022 · 0 comments
Open

crypto/x509: macOS flakes due to "certificate is not standards compliant" #52854

neild opened this issue May 11, 2022 · 0 comments
Labels
Builders NeedsInvestigation OS-Darwin release-blocker
Milestone

Comments

@neild
Copy link
Contributor

@neild neild commented May 11, 2022

Splitting the builder flakiness off from #51991.

#51991 (comment)

@bcmills

This is showing up on the darwin-amd64-10_15 builder as well, though curiously not on any of the other darwin builders.

Marking as release-blocker for Go 1.19 because darwin/amd64 is a first class port.

greplogs --dashboard -md -l -e 'certificate is not standards compliant'

2022-04-19T23:20:21-8b900b4-104742f/darwin-amd64-10_15
2022-04-14T22:52:29-7bdebbc-cc43e19/darwin-amd64-10_15
2022-01-20T14:59:17-3ed4219-9284279/darwin-amd64-10_15
2022-01-19T15:34:05-a71de3f-ca33b34/darwin-amd64-10_15
2022-01-18T23:19:04-03fcf44-626f13d/darwin-amd64-10_15
2022-01-18T21:43:02-8066ee9-cf5d73e/darwin-amd64-10_15
2022-01-13T21:34:46-4e31bde-6891d07/darwin-amd64-10_15
2022-01-13T20:43:56-03fcf44-6891d07/darwin-amd64-10_15
2022-01-11T16:48:27-62f0361-1cc3c73/darwin-amd64-10_15
2022-01-06T17:36:12-b511507-f009910/darwin-amd64-10_15
2021-12-15T23:51:57-598f1b0-6e7c691/darwin-amd64-10_15
2021-12-15T00:33:55-18bc0f9-9d0ca26/darwin-amd64-10_15
2021-12-13T18:48:44-d71ffde-2580d0e/darwin-amd64-10_15

@rolandshoemaker

As far as I can tell this seems, possibly, (this is unbearably painful to diagnose) to be an issue with 10.15.1, which is what the the darwin-amd64-10_15 builder is running. I suspect that updating the builder to use 10.15.6 would fix this, but I have absolutely no clue how viable that is.

@neild neild added release-blocker OS-Darwin NeedsInvestigation labels May 11, 2022
@neild neild added this to the Go1.19 milestone May 11, 2022
@dmitshur dmitshur added the Builders label May 11, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Builders NeedsInvestigation OS-Darwin release-blocker
Projects
None yet
Development

No branches or pull requests

2 participants